Update Access List Configuration for a Shield Zone
curl --request PATCH \
--url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/configurations/{id} \
--header 'Content-Type: application/json' \
--data '
{
"isEnabled": true
}
'import requests
url = "https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/configurations/{id}"
payload = { "isEnabled": True }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({isEnabled: true})
};
fetch('https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"isEnabled": true
},
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"data": {
"isEnabled": true
},
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"data": {
"isEnabled": true
},
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Access Lists
Update Access List Configuration for a Shield Zone
PATCH
/
shield
/
shield-zone
/
{shieldZoneId}
/
access-lists
/
configurations
/
{id}
Update Access List Configuration for a Shield Zone
Path Parameters
The ID of the Access List Configuration to update.
The ID of the Shield Zone to which the Access List Configuration belongs.
Body
application/jsontext/jsonapplication/*+json
Was this page helpful?
Create a new Custom Access List associated with a Shield ZoneGet the specified Custom Access List associated with a Shield Zone
⌘I